/*
 * Copyright Terracotta, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.ehcache.management;

import org.terracotta.management.call.ContextualReturn;
import org.terracotta.management.call.Parameter;

/**
 * @author Mathieu Carbou
 */
public interface CallQuery<T> extends Query<ContextualReturn<T>> {

  Class<T> getReturnType();

  String getMethodName();

  Parameter[] getParameters();

  interface Builder<T> extends QueryBuilder<Builder<T>, CallQuery<T>> {

  }
}
